## collectd 5.11.0

=== debian/changelog ===
collectd (5.11.0-7~bpo9+1) stretch-backports-sloppy; urgency=medium

  * Rebuild for stretch-backports-sloppy.

  * [e4140c4] Revert "Disable nut plugin for now."
    This reverts commit 8846b4564bfca329542c8a2567e46e1b28448094.
  * [110076e] Revert "Mention migration to Python3 in debian/NEWS"
    This reverts commit 5f21e0e75ccc9ac33f53e5c9a4f715f91e3f8f28.
  * [9aa130a] Revert "Migrate to python3"
    This reverts commit e4535ac1ba4c98e3b42c954d13dee80c658d17f4.
  * [ec0fbe3] Disable intel_rdt for backports.
    Plugin/tests don't build.
  * [073a32f] build for stretch-backports-sloppy
  * [3c116bf] Revert "Mention amqp1 output plugin in description."
    This reverts commit 21de403ca753d5e6377342f1b302dcee325a744f.
  * [39f7901] Revert "Build-depend on libqpid-proton11-dev"
    This reverts commit fbc4f9827d5a78fb5d310e45a75f9463a7d16c16.
  * [37c52b5] Disable barometer plugin.
    libi2c is too old in stretch.
  * [c896de9] Disable ipmi, write_mongodb, write_stackdriver, amqp1.
    Dependencies are missing in stretch
  * [e29c0c4] Revert "Remove build-dependency on libiptc-dev."
    This reverts commit 8cfb32dae0284d5caaf0d891164e84b0c66da566.
  * [ac44b5c] Revert "Depend on libsensors-dev"
    This reverts commit db2ffff037a151926bc03bcc2636986a0175336a.
  * [d04b21b] Revert "Move to debhelper 10"
    This reverts commit c15ecdcbcd11c497c2706fde8b5b3541764b3a33.

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 04 Aug 2020 16:26:27 +0200

collectd (5.11.0-7) unstable; urgency=medium

  * [d6feaf3] Fix arch list for protobuf-compiler-grpc.

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 28 Jul 2020 11:21:09 +0200

collectd (5.11.0-6) unstable; urgency=medium

  * [fc03f74] Disable grpc on non release architectures.
    This should allow collectd to build on many more architectures again.

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 28 Jul 2020 10:45:54 +0200

collectd (5.11.0-5) unstable; urgency=medium

  * [a7f46fb] Merge branch 'lintian-fixes' into 'master'
    Fix some issues reported by lintian
    See merge request debian/pkg-collectd!4
  * [f5943cf] Pass LDFLAGS and friends via environment.
    configure ignores them otherwise
  * [a5060c6] Remove --disable-lvm.
    Plugin was removed

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 24 Jul 2020 23:37:47 +0200

collectd (5.11.0-4) unstable; urgency=medium

  [ Bernd Zeimetz ]
  * [ee00bbb] Fix FTBFS with new libmicrohttp (Closes: #964593)

  [ Antonio Russo ]
  * [253f1e6] Fix FTBFS: disable gmond (ganglia)

  [ Bernd Zeimetz ]
  * [66162b0] remove old comments from d/control
  * [83daeea] Refresh patch.
    dpkg doen't handle it properly when the same file is changed more than
    once in one patch.
  * [1012b25] microhttpd-api-change: also fix write_prometheus
  * [e1675c6] Fix return type
  * [f16bc34] Link -latmomic on armel mips mipsel powerpc.
    Workaround for grpc.
  * [67aa668] pass CXXFLAGS to configure

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 24 Jul 2020 11:27:30 +0200

collectd (5.11.0-3) unstable; urgency=medium

  * [569deaf] grpc is now available on all release architectures.
    Thanks to Adrian Bunk (Closes: #961369)

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 23 May 2020 21:08:22 +0200

collectd (5.11.0-2) unstable; urgency=medium

  * [735fbed] Disable intel-only features on !intel platforms

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 29 Mar 2020 13:49:28 +0200

collectd (5.11.0-1) unstable; urgency=medium

  * [2cba96b] Update upstream source from tag 'upstream/5.11.0'
    Update to upstream version '5.11.0'
    with Debian dir d4444dcbc14a8003be999896b12c2e077063b13e
    Seems to fix python module linking issues (Closes: #953953).
  * [8bc0973] Refreshing patches
  * [8fb1fbf] Updating changelog
  * [4cd0893] Build-depend on libslurm-dev
  * [e7082d8] Disable modules we can't build

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 28 Mar 2020 23:16:47 +0100

collectd (5.10.0-1) unstable; urgency=medium

  [ Bernd Zeimetz ]
  * [53d9fa8] Ignore blhc/reprotest failures
  * [72c2520] Add comment about write_stackdriver to pkg desc.
  * [2da2cdd] Drop collectd-dbg package.
    Use automatically generated dbg packages instead.

  [ Christian Ehrhardt ]
  * [2e4471c] - debian/rules: Work around FTBFS with glibc 2.30 with -Wno-cpp.
  * [de8e965] - debian/rules: Work around FTBFS with gcc9 -Wno-error=format-truncation on ppc64.

  [ Antonio Russo ]
  * [c15ecdc] Move to debhelper 10.
    In alignment with the move to dbgsym, use debhelper 10.
  * [1926a15] Remove build-dependency on iptables-dev.
    Closes: #951088.
  * [b29dff9] Correct path in lintian override
  * [8cfb32d] Remove build-dependency on libiptc-dev.
  * [5357523] Correct path in lintian override
  * [450186c] Release 5.9.2.g-2

  [ Bernd Zeimetz ]
  * [baa5acf] New upstream version 5.10.0
  * [016a310] Updating changelog
  * [7ee0170] Change dependency ordering for libiptc-dev
  * [ed45d82] remove extra /* from jvm override
  * [db2ffff] Depend on libsensors-dev.
    Thanks to Aurelien Jarno (Closes: #917435)
  * [8409ccd] Don't suggest icinga.
    Thanks to Bas Couwenberg (Closes: #933256)
  * [d22c27d] libcollectdclient1: suggest collectd, don't recommend.
    Thanks to Bernhard Schmidt (Closes: #933296)

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 07 Mar 2020 01:11:08 +0100

=== debian/control ===
Source: collectd
Section: utils
Priority: optional
Maintainer: Collectd Packaging Team <team+collectd@tracker.debian.org>
Uploaders: Sebastian Harl <tokkee@debian.org>, Marc Fournier <marc@bl.uem.li>, Bernd Zeimetz <bzed@debian.org>
Build-Depends: debhelper (>= 9.20160709~), dpkg-dev (>= 1.14.10), po-debconf, dh-strip-nondeterminism, dh-autoreconf,
 bison, flex, autotools-dev, libltdl-dev, pkg-config,
 default-libmysqlclient-dev,
 intel-cmt-cat [amd64 i386],
 libiptc-dev [linux-any] | iptables-dev (>= 1.4.3.2-2) [linux-any],
 javahelper,
 kfreebsd-kernel-headers [kfreebsd-any],
 libatasmart-dev [linux-any],
 libcap-dev [linux-any],
 libcurl4-gnutls-dev (>= 7.18.2-5) | libcurl4-gnutls-dev (<= 7.18.2-1) | libcurl3-gnutls-dev,
 libdevstat-dev [kfreebsd-any],
 libdbi0-dev,
 libdpdk-dev [amd64 i386],
 libesmtp-dev,
 libgeom-dev [kfreebsd-any],
 libgcrypt20-dev,
 libglib2.0-dev,
 libgrpc++-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
 libgps-dev,
 libhiredis-dev,
 libkvm-dev [kfreebsd-any],
 libldap2-dev,
 liblua5.3-dev,
 libmemcached-dev,
 libmicrohttpd-dev,
 libmodbus-dev,
 libmnl-dev [linux-any],
 libnotify-dev,
 libopenipmi-dev,
 liboping-dev (>= 0.3.3),
 libow-dev,
 libpcap0.8-dev | libpcap-dev,
 libperl-dev,
 libpq-dev,
 libprotobuf-c-dev,
 libprotobuf-dev,
 librabbitmq-dev,
 librdkafka-dev,
 libriemann-client-dev (>= 1.6.0),
 librrd-dev (>= 1.4~),
 libsensors4-dev [linux-any],
# libsnmp-dev (>= 5.4.2.1~dfsg-4~) | (libsnmp-dev & perl (<< 5.10.1~rc2-1~))
 libsnmp-dev (>= 5.4.2.1~dfsg-4~) | libsnmp-dev | libsnmp9-dev,
 libsnmp-dev (>= 5.4.2.1~dfsg-4~) | perl (<< 5.10.1~rc2-1~),
 libtokyocabinet-dev [linux-any],
 libtokyotyrant-dev [linux-any],
 libudev-dev [linux-any],
 libupsclient-dev | libupsclient1-dev,
 libvarnishapi-dev,
 libvirt-dev (>= 0.4.0-6) [linux-any],
 libxen-dev [amd64 arm64 armhf i386],
 libxml2-dev,
 libyajl-dev,
 linux-libc-dev (>= 2.6.25-4) [linux-any] | linux-libc-dev (<< 2.6.25-1) [linux-any],
 default-jdk [!hppa !sparc !kfreebsd-i386 !kfreebsd-amd64],
 protobuf-c-compiler,
 protobuf-compiler (>= 3.0.0),
 protobuf-compiler-grpc [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
 python-dev,
 riemann-c-client,
 libmosquitto-dev,
 libslurm-dev
Build-Conflicts: libpthread-dev, libhal-dev
Standards-Version: 4.2.1
Homepage: https://collectd.org/
Vcs-Git: https://salsa.debian.org/debian/pkg-collectd.git
Vcs-Browser: https://salsa.debian.org/debian/pkg-collectd

Package: collectd-core
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base
Recommends: perl, rrdtool
Suggests: collectd-dev,
# collection.cgi / collection3 dependencies
 librrds-perl, liburi-perl, libhtml-parser-perl, libregexp-common-perl,
 libconfig-general-perl, httpd-cgi,
# services providing data that may be collected by collectd
 apache2, apcupsd, bind9, ceph, chrony, default-mysql-server, gpsd, hddtemp,
 iptables, ipvsadm, lm-sensors, mbmon, memcached, nginx, notification-daemon,
 nut, openvpn, olsrd, pdns-server, postgresql, redis-server, slapd,
 time-daemon, varnish, zookeeper,
 ${shlibs:Suggests}, default-jre-headless
Replaces: collectd (<< 4.8.2-1~)
Description: statistics collection and monitoring daemon (core system)
 collectd is a small daemon which collects system information periodically and
 provides mechanisms to monitor and store the values in a variety of ways.
 Since the daemon doesn't need to startup every time it wants to update the
 values it's very fast and easy on the system. Also, the statistics are very
 fine grained since the files are updated every 10 seconds by default.
 .
 The collected information can be used to find current performance bottlenecks
 (performance analysis) and predict future system load (capacity planning).
 .
 This package contains the main program file and the plugins listed below (some
 of those plugins require additional libraries - for more details see
 /usr/share/doc/collectd-core/README.Debian.plugins) but no configuration. For
 a full installation (including configuration), see the "collectd" package.
 This package allows sites to, e.g., provide customizations (like a custom
 default configuration) on top of it without having to modify the "collectd"
 package.
 .
   * AMQP output plugin: amqp
   * Apache and lighttpd statistics provided by mod_status: apache
   * APC UPS's charge, load, input/output/battery voltage, etc.: apcups
   * Ascent server statistics: ascent
   * battery status: battery
   * bind9 name-server and zone statistics: bind
   * Ceph distributed storage system statitics: ceph
   * CGroups resource usage: cgroups
   * Chrony daemon statistics: Local clock drift, offset to peers: chrony
   * connection tracking table size: conntrack
   * number of context switches done by the operating system: contextswitch
   * CPU utilization: cpu
   * CPU frequency: cpufreq
   * CPU sleep: Time spent in suspend : cpusleep
   * output to comma separated values (CSV) files: csv
   * parse statistics from websites: curl
   * parse JSON files: curl_json
   * parse XML data: curl_xml
   * query data from a relational database: dbi
   * disk space usage: df
   * disk and partition throughput: disk
   * DNS traffic information: dns
   * DPDK link status and keep alive events: dpdkevents
   * DPDK interface statistics: dpdkstat
   * Distributed Replicated Block Device status: drbd
   * E-Mail statistics (count, traffic, spam scores and checks): email
   * amount of available entropy: entropy
   * execution of external programs: exec
   * count the number of open file handles: fhcount
   * count the number of files in directories: filecount
   * Linux file-system based caching framework statistics: fscache
   * Monitor gps related data through gpsd: gps
   * Send or receive values over the network using the gRPC framework: grpc
   * query data from Java processes using JMX: GenericJMX (Java based plugin)
   * harddisk temperature: hddtemp
   * Report the number of used and free hugepages: hugepages
   * network traffic: interface
   * IPC statistics: ipc
   * iptables statistics: iptables
   * IPVS connection statistics: ipvs
   * IRQ counters: irq
   * embedded Java Virtual Machine: java
   * system load averages: load
   * logging to files, STDOUT and STDERR: logfile
   * logging in logstash's JSON event format: log_logstash
   * embedded Lua interpreter: lua
   * Machine Check Exceptions notifications: mcelog
   * Atheros wireless LAN chipset statistics: madwifi
   * motherboard monitor: mbmon
   * query and parse data from a memcache daemon: memcachec
   * statistics of the memcached distributed caching system: memcached
   * memory usage: memory
   * read values from Modbus/TCP enabled devices: modbus
   * statistics from mon.itor.us: Monitorus (Perl based plugin)
   * Publishes and subscribes to MQTT topics: mqtt
   * multimeter statistics: multimeter
   * MySQL statistics provided by MySQL's "show status" command: mysql
   * detailed Linux network interface and routing statistics: netlink
   * IO via the network: network
   * NFS utilization: nfs
   * Nginx (a HTTP and E-Mail server/proxy) statistics: nginx
   * send desktop notifications to a notification daemon: notify_desktop
   * send notification E-mails: notify_email
   * send notifications to nagios: notify_nagios
   * NTP daemon's local clock drift, offset to peers, etc.: ntpd
   * UPS information: nut
   * Optimized Link State Routing daemon statistics: olsrd
   * OpenLDAP's cn=Monitor statistics: openldap
   * OpenVPN traffic and compression statistics: openvpn
   * OpenVZ statistics: OpenVZ (Perl based plugin)
   * Open vSwitch link state events: ovs_events
   * Open vSwitch bridge / interface statistics: ovs_stats
   * embedded Perl interpreter: perl
   * timing values from Pinba: pinba
   * network latency statistics: ping
   * PostgreSQL database statistics: postgresql
   * PowerDNS name server statistics: powerdns
   * number of processes: processes
   * information about network protocols: protocols
   * embedded Python interpreter: python
   * Redis server statistics: redis
   * write data via the RRD accelerator daemon: rrdcached
   * output to RRD files: rrdtool
   * lm_sensors information (e.g. CPU temperature, fan speeds): sensors
   * serial port traffic: serial
   * values from SNMP enabled network devices: snmp
   * receive and handle queries from SNMP master agent: snmp_agent
   * aggregate values received with the StatsD protocol: statsd
   * SMART statistics: smart
   * swap usage: swap
   * Linux synproxy statistics: synproxy
   * logging to syslog: syslog
   * parse table-like structured files: table
   * incremental parsing of logfiles: tail
   * incremental parsing of CSV files: tail_csv
   * number of TCP connections to specific ports: tcpconns
   * TeamSpeak2 server statistics: teamspeak2
   * power consumption measurements from "The Energy Detective" (TED): ted
   * Linux ACPI thermal zone information: thermal
   * check thresholds and for missing values: threshold
   * statistics from Intel turbo-capable processors: turbostat
   * Tokyo Tyrant server statistics: tokyotyrant
   * external runtime interface: unixsock
   * system uptime: uptime
   * number of users logged into the system: users
   * set the hostname to an unique identifier: uuid
   * Varnish HTTP accelerator daemon statistics: varnish
   * CPU, disk, network statistics of guest systems: virt
   * detailed virtual memory statistics: vmem
   * system resources used by Linux-VServers: vserver
   * wireless network stats: wireless
   * send collected values to a graphite server: write_graphite
   * send collected values to a web-server: write_http
   * send collected values to an Apache Kafka message broker: write_kafka
   * send collected values to the logging subsystem: write_log
   * publish collected values as a Prometheus exporter: write_prometheus
   * send collected values to a Redis server: write_redis
   * send collected values to a Riemann server: write_riemann
   * send collected values to a Sensu client: write_sensu
   * send collected values to Google Stackdriver: write_stackdriver
   * send collected values to an OpenTSDB server: write_tsdb
   * XEN Hypervisor CPU stats: xencpu
   * ZFS's Adaptive Replacement Cache statistics: zfs_arc
   * data from Zookeeper's MNTR command: zookeeper

Package: collectd
Architecture: any
Depends: collectd-core (>= ${source:Version}), collectd-core (<< ${source:Version}.1~),
 ${shlibs:Depends}, ${misc:Depends}
Recommends: ${shlibs:Recommends}, default-jre-headless
Description: statistics collection and monitoring daemon
 collectd is a small daemon which collects system information periodically and
 provides mechanisms to monitor and store the values in a variety of ways.
 Since the daemon doesn't need to startup every time it wants to update the
 values it's very fast and easy on the system. Also, the statistics are very
 fine grained since the files are updated every 10 seconds by default.
 .
 The collected information can be used to find current performance bottlenecks
 (performance analysis) and predict future system load (capacity planning).
 .
 This package provides a full installation of the daemon, including the
 configuration. For the core system, see the "collectd-core" package, which
 allows sites to, e.g., provide customizations (like a custom default
 configuration) on top of it without having to modify the "collectd" package.

Package: collectd-utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: collectd
Replaces: collectd (<< 4.6.1-1~)
Description: statistics collection and monitoring daemon (utilities)
 collectd is a small daemon which collects system information periodically and
 provides mechanisms to monitor and store the values in a variety of ways.
 Since the daemon doesn't need to startup every time it wants to update the
 values it's very fast and easy on the system. Also, the statistics are very

=== debian/rules ===
#! /usr/bin/make -f
# debian/rules for collectd
#
# Written by Sebastian Harl <tokkee@debian.org>.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS)
CPPFLAGS += -I$(CURDIR)/debian/include
CFLAGS = $(shell dpkg-buildflags --get CFLAGS)
CFLAGS += -Wall -Wno-error=deprecated-declarations
CXXFLAGS = $(shell dpkg-buildflags --get CXXFLAGS)
CXXFLAGS += -Wall -Wno-error=deprecated-declarations

TEST_GCC_VER_9 := $(shell expr `$(CC) -dumpversion | cut -f1 -d.` \>= 9)
ifeq ($(TEST_GCC_VER_9),1)
  CFLAGS += -Wno-error=address-of-packed-member -Wno-stringop-truncation -Wno-cpp -Wno-error=format-truncation
endif

# Upstream defaults to ${sysconfdir}/collectd.conf. Setting ${sysconfdir} to
# /etc/collectd would be wrong though.
CPPFLAGS += -UCONFIGFILE
CPPFLAGS += -DCONFIGFILE='\"/etc/collectd/collectd.conf\"'

# A PostgreSQL header redefines CACHE_LINE_SIZE on FreeBSD.
# Cf. https://bugs.debian.org/760719 and https://bugs.debian.org/763098
ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
	CPPFLAGS += -Wp,-w
endif

LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)

# grpc workaround
ifneq (,$(filter $(DEB_HOST_ARCH), armel mips mipsel powerpc))
  LDFLAGS += -Wl,--no-as-needed -latomic -Wl,--as-needed
endif

# The archdir map has been copied from openjdk-6's debian/rules.
JAVA_ARCHDIR = $(shell /usr/share/javahelper/java-arch.sh $(DEB_BUILD_ARCH))
ifeq (,$(JAVA_ARCHDIR))
	JAVA_ARCHDIR = $(DEB_BUILD_ARCH)
endif
JAVA_HOME = /usr/lib/jvm/default-java
JAVA_LIBDIR = $(JAVA_HOME)/jre/lib/$(JAVA_ARCHDIR)/server

JAVAC = $(JAVA_HOME)/bin/javac
JAR = $(JAVA_HOME)/bin/jar
JAVA_CPPFLAGS = -I$(JAVA_HOME)/include
JAVA_LDFLAGS = -L$(JAVA_LIBDIR) -Wl,-rpath -Wl,$(JAVA_LIBDIR)

confflags = --host=$(DEB_HOST_GNU_TYPE) \
			--build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr \
			--mandir=\$${prefix}/share/man \
			--localstatedir=/var --sysconfdir=/etc \
			--with-perl-bindings="INSTALLDIRS=vendor INSTALL_BASE=" \
			--without-libstatgrab \
			--disable-static \
			--disable-silent-rules \
			--enable-all-plugins

# These plugins do not provide any functionality under Linux.
# MacOS only (requires IO Kit):
confflags += --disable-apple_sensors
# AIX only (requires perfstat):
confflags += --disable-lpar
# Solaris only (requires devinfo and kstat)
confflags += --disable-tape

# libi2c is not current enough in stretch
confflags += --disable-barometer

# openipmis is too old on stretch
confflags += --disable-ipmi

# more missing dependencies on stretch
confflags += --disable-amqp1
confflags += --disable-write_mongodb
confflags += --disable-write_stackdriver

# --enable-intel_rdt doesn't work in buster
confflags += --disable-intel_rdt

# redfish.h is missing
confflags += --disable-redfish

# pmw_api.h is missing
confflags += --disable-dcpmm

# libaquaero5 is required for the aquaero plugin
confflags += --disable-aquaero

# libjevents is required for the intel_pmu plugin
confflags += --disable-intel_pmu

# libmic is required for the mic plugin
confflags += --disable-mic

# libnetapp is required for the netapp plugin.
confflags += --disable-netapp

# libclntsh is required for the oracle plugin.
confflags += --disable-oracle

# librouteros is required for the routeros plugin.
confflags += --disable-routeros

# xmms1 is required for the xmms plugin.
confflags += --disable-xmms

# libslurm doesn't have a pkg-config file in Debian
confflags += --disable-slurm

# libsigrok4 incompatible with the plugin.
# Cf. https://github.com/collectd/collectd/issues/1574
confflags += --disable-sigrok

# libnvidia-ml is non-free
confflags += --disable-gpu_nvidia



# ganglia FTBS, disable it for now
# see #964399
confflags += --disable-gmond

# These plugins are Linux-specific.
ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
	confflags += \
		--disable-barometer \
		--disable-cgroups \
		--disable-cpusleep \
		--disable-drbd \
		--disable-ethstat \
		--disable-fhcount \
		--disable-hugepages \
		--disable-ipc \
		--disable-iptables \
		--disable-ipvs \
		--disable-madwifi \
		--disable-md \
		--disable-netlink \
		--disable-numa \
		--disable-sensors \
		--disable-vserver
endif

# These plugins art FreeBSD-specific.
ifneq ($(DEB_HOST_ARCH_OS),kfreebsd)
	confflags += \
		--disable-pf \
		--disable-ipstats
endif


# intel only stuff
# not available on stretch
#ifeq (,$(filter $(DEB_HOST_ARCH),amd64 i386))
    confflags += --disable-capabilities
    confflags += --disable-dpdk_telemetry
#endif



# This plugin is Solaris-specific.
confflags += \
		--disable-zone

# These plugins have not been ported to FreeBSD yet.
ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
	# Work-around an incomplete check for kvm functionality
	CPPFLAGS  += -DHAVE_STRUCT_KINFO_PROC_FREEBSD
	confflags += --enable-processes=force

	confflags += \
		--disable-battery \
		--disable-conntrack \
		--disable-contextswitch \
		--disable-cpufreq \
		--disable-entropy \
		--disable-fscache \
		--disable-irq \
		--disable-nfs \
		--disable-protocols \
		--disable-serial \
		--disable-synproxy \
		--disable-thermal \
		--disable-vmem \
		--disable-wireless
endif

# Build-dependencies of these plugins are (not yet) available for kfreebsd.
ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
	confflags += \
		--disable-gmond \
		--disable-virt \
		--disable-tokyotyrant \
		--disable-java
endif

# These plugins are Intel-hardware specific.
ifeq (,$(filter amd64 i386, $(DEB_HOST_ARCH)))
	confflags += \
		--disable-dpdkevents \
		--disable-dpdkstat \
		--disable-intel_pmu \
		--disable-intel_rdt \
		--disable-mcelog \
		--disable-mic \
		--disable-turbostat
endif

# the pcie_errors plugin does not work on all kinds of hardware
ifeq (,$(filter amd64 arm64 armel armhf i386 mips64el mipsel ppc64el, $(DEB_HOST_ARCH)))
	confflags += \
		--disable-pcie_errors
endif

# This plugin is x86 and arm specific.
ifeq (,$(filter amd64 arm64 armhf i386, $(DEB_HOST_ARCH)))
	confflags += \
		--disable-xencpu
endif

# libatasmart isn't available on these platforms.
ifneq (,$(filter hurd kfreebsd,$(DEB_HOST_ARCH_OS)))
	confflags += --disable-smart
endif

# The hppa buildds currently do not keep up with Java related stuff, thus
# prevending testing transitions. sparc is also having trouble building the
# java plugin.
ifneq (,$(filter hppa sparc, $(DEB_HOST_ARCH)))
	confflags += --disable-java
endif

# gRPC is only available on x86, arm, ppc.
ifeq (,$(filter amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x, $(DEB_HOST_ARCH)))
	confflags += --disable-grpc
endif

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp

build-stamp:
	dh_testdir
	
	dh_autoreconf
	
	CXXFLAGS="$(CXXFLAGS)" CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" \
	JAVAC="$(JAVAC)" JAR="$(JAR)" JAVA_CPPFLAGS="$(JAVA_CPPFLAGS)" \
	JAVA_LDFLAGS="$(JAVA_LDFLAGS)" \
	./configure $(confflags) \
		|| ( status=$$?; cat config.log; exit $$status )

	$(MAKE)
	dh_auto_test
	perl ./debian/bin/check_plugins.pl
	
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	
	[ ! -f Makefile ] || $(MAKE) distclean
	
	rm -f debian/README.Debian.plugins
	rm -f src/*.1 src/*.5
	
	rm -rf debian/pkgconfig
	
	dh_autoreconf_clean
	dh_clean
	debconf-updatepo

install-indep:
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs -i
	dh_install -i
	
	# update include path for collectd header files
	(	set -e; \
		cd $(CURDIR)/debian/collectd-dev/usr/include/collectd/; \
		for lib in $$(find . -type f -name '*.h'); do \
			libname=$$(basename $$lib); \
			fullpath=$$(echo $$lib | sed -r -e 's,^\./,collectd/,'); \
			for dir in $$(find . -mindepth 1 -type d); do \
				sed -r -i -e "s,(include\s+)\".*\<$$libname\",\1\"$$fullpath\"," $$dir/*.h; \
			done; \
		done )

install-arch: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs -a

## collectd 5.12.0

=== contrib/docker/rootfs_prefix/Makefile ===
rootfs_prefix.so: rootfs_prefix.c
	$(CC) -Wall -Werror -fPIC -shared -o rootfs_prefix.so rootfs_prefix.c -ldl

=== debian/changelog ===
collectd (5.12.0-17.1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 00:30:55 +0000

collectd (5.12.0-17.1build1) noble; urgency=medium

  * No-change rebuild for libtirpc t64.

 -- Matthias Klose <doko@debian.org>  Sun, 03 Mar 2024 05:42:05 +0100

collectd (5.12.0-17.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062094

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 17:04:03 +0000

collectd (5.12.0-17) unstable; urgency=medium

  * [lots of commits] adding some basic autopkgtest
    - run daemon
    - get values
    - check that basic plugins work
  * [791b61a] add .gitignore to ignore swp files

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 04 Feb 2024 21:09:33 +0100

collectd (5.12.0-16) unstable; urgency=medium

  * [3d4bf71] Revert "Disable onewire until it is in testing again."
    This reverts commit c8207fc7db2cf4fd7c7d342bb28e9d9995011233.
  * [f297b98] grpc is available on loong64 powerpc ppc64 now.
  * [360495c] No mongodb on loong64
  * [b75ac03] Log dpkg-architecture -l in case of failures.
  * [a975f51] Make debug output a bit readable
  * [339ab70] Disable varnish plugin.
    Thanks to Paul Gevers (Closes: #1060776)

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 04 Feb 2024 16:26:58 +0100

collectd (5.12.0-15) unstable; urgency=medium

  [ Bernd Zeimetz ]
  * [b856351] Fix lintian error:
    E: collectd-core: depends-on-obsolete-package Depends: lsb-base

  [ Samuel Thibault ]
  * [c052c93] d/control,rules: Fix arch filtering

  [ Luca Boccassi ]
  * [da43466] Disable dpdk plugin on i386
    libdpdk-dev will no longer build for i386, disable it (Closes: #1057146)

  [ Bernd Zeimetz ]
  * [451bab7] Update JAVA_LIBDIR for current openjdks
  * [48c6d15] Use include from javahelper to retrieve java directories.
  * [b8fd49c] Don't build java plugin on i368.
    Linking libjvm fails due to missing symbols in libjvm. (Closes: #1057712)
  * [e1162da] Fix copy&paste error, we check the arch, not os
  * [08c5029] Add libjansson-dev as build-dependency
    (was magically pulled in by libdpdk-dev before).

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 07 Dec 2023 15:35:28 +0100

collectd (5.12.0-14) unstable; urgency=medium

  * [aa8f170] Fix installing systemd service and init script.
    Closes: ##1031672
    Thanks to Thomas Goirand

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 20 Feb 2023 13:55:26 +0100

collectd (5.12.0-13) unstable; urgency=medium

  * [694f2c9] Revert "Disable nut plugin again."
    This reverts commit e1c67e57f96bc4ad3e85f9a7a695742d36980d64.

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 27 Jan 2023 09:08:10 +0100

collectd (5.12.0-12) unstable; urgency=medium

  * [d077f5d] Add lintian override for the java plugin.
  * [6ebe59a] Remove removed debconf questions from translations
  * [0c5f9dc] collectd-core: debconfig is used in postrm only.
    Override lintian errors.
  * [6be4222] Add package name to lintian overrides
  * [bda81fa] Migrate to dh / debhelper compat 13
  * [074299d] Fix building with python 3.11 (Closes: #1028146)
  * [69e6716] Move dh_install to the appropriate place
  * [45ea76f] Use debian/tmp for header/lib updates

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 16 Jan 2023 16:54:46 +0100

collectd (5.12.0-11) unstable; urgency=medium

  [ Debian Janitor ]
  * [c8d0c73] Remove constraints unnecessary since buster
    * Build-Depends: Drop versioned constraint on dpkg-dev, iptables-dev, libcurl4-gnutls-dev, libi2c-dev, liboping-dev, libriemann-client-dev, librrd-dev, libsnmp-dev, libvirt-dev, linux-libc-dev and protobuf-compiler.
    * collectd-core: Drop versioned constraint on collectd in Replaces.
    * collectd-utils: Drop versioned constraint on collectd in Replaces.
    * libcollectdclient-dev: Drop versioned constraint on collectd-dev in Replaces.
    * libcollectdclient-dev: Drop versioned constraint on collectd-dev in Breaks.
    Changes-By: deb-scrub-obsolete

  [ Gioele Barabucci ]
  * [7cdaece] d/collectd.postinst: Remove test for ancient version.
    Version 4.10.0-1 is older than the version in oldoldstable (5.7.1-1.1).
    The test in `postinst` has thus been redundant for a long time and
    can be removed.
  * [f4c1e6f] d/collectd-core.{config,postinst}: Remove debconf questions about ancient versions.
    Versions 3.x and 4.x are older than the version in oldoldstable (5.7.x),
    released in 2017.
    All tests connected to these debconf questions have thus been redundant
    for a long time and can be removed.
  * [1afaac8] d/watch: Update upstream URL (Closes: #964112)
    This fixes the uscan issue:
    ```
    In debian/watch no matching files for watch line
      https://github.com/collectd/collectd/tags /collectd/collectd/archive/collectd-([0-9.-]+)\.tar\.gz
    ```
    The lines are adapted the `dh-make` template.

  [ Bernd Zeimetz ]
  * [e1c67e5] Disable nut plugin again.
    Various RC bugs for a longer time, not waiting for that.

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 22 Aug 2022 17:24:43 +0200

collectd (5.12.0-10) unstable; urgency=medium

  * [343f857] Don't use local variables in global pointers
    Closes: #1016187
  * [254a859] Fix building with current nut version.
  * [15098cc] Also fix local variables issue in write_prometheus

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 20 Aug 2022 22:38:49 +0200

collectd (5.12.0-9) unstable; urgency=medium

  * [577cd1f] Don't build mysql plugin on kfreebsd*
  * [335185e] Disable libvirt plugin on sh4/ia64.
    Keeping it disabled on kfreebsd*
  * [6f2a0f7] Disable barometer/i2c on hurd
  * [3f893cf] Also disable libvirt on alpha.
  * [8482e2a] Don't build the xencpu plugin on i386.
    Starting with xen version 4.16, xen is no longer built on the i386 architecture in Debian.
    Thanks to Maximilian Engelhardt <maxi@daemonizer.de> (Closes: #1006250)



=== debian/control ===
--- 
+++ 
@@ -1,21 +1,23 @@
 Source: collectd
 Section: utils
 Priority: optional
-Maintainer: Collectd Packaging Team <team+collectd@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Collectd Packaging Team <team+collectd@tracker.debian.org>
 Uploaders: Sebastian Harl <tokkee@debian.org>, Marc Fournier <marc@bl.uem.li>, Bernd Zeimetz <bzed@debian.org>
-Build-Depends: debhelper (>= 9.20160709~), dpkg-dev (>= 1.14.10), po-debconf, dh-strip-nondeterminism, dh-autoreconf,
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13), po-debconf, dh-strip-nondeterminism, dh-autoreconf,
  bison, flex, autotools-dev, libltdl-dev, pkg-config,
- default-libmysqlclient-dev,
+ default-libmysqlclient-dev [!kfreebsd-i386 !kfreebsd-amd64],
  intel-cmt-cat [amd64 i386],
- libiptc-dev [linux-any] | iptables-dev (>= 1.4.3.2-2) [linux-any],
+ libiptc-dev (>= 1.8.4-2) [linux-any] | libip4tc-dev [linux-any] | iptables-dev [linux-any],
+ libiptc-dev (>= 1.8.4-2) [linux-any] | libip6tc-dev [linux-any] | iptables-dev [linux-any],
  javahelper,
  kfreebsd-kernel-headers [kfreebsd-any],
  libatasmart-dev [linux-any],
  libcap-dev [linux-any],
- libcurl4-gnutls-dev (>= 7.18.2-5) | libcurl4-gnutls-dev (<= 7.18.2-1) | libcurl3-gnutls-dev,
+ libcurl4-gnutls-dev | libcurl4-gnutls-dev (<= 7.18.2-1) | libcurl3-gnutls-dev,
  libdevstat-dev [kfreebsd-any],
  libdbi0-dev,
- libdpdk-dev [amd64 i386],
+ libdpdk-dev [amd64],
  libesmtp-dev,
  libgeom-dev [kfreebsd-any],
  libgcrypt20-dev,
@@ -23,16 +25,19 @@
  libgrpc++-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
  libgps-dev,
  libhiredis-dev,
+ libi2c-dev [!hurd-any],
  libkvm-dev [kfreebsd-any],
  libldap2-dev,
  liblua5.3-dev,
  libmemcached-dev,
  libmicrohttpd-dev,
+ libjansson-dev,
  libmodbus-dev,
+ libmongoc-dev [!loong64],
  libmnl-dev [linux-any],
  libnotify-dev,
  libopenipmi-dev,
- liboping-dev (>= 0.3.3),
+ liboping-dev,
  libow-dev,
  libpcap0.8-dev | libpcap-dev,
  libperl-dev,
@@ -41,31 +46,28 @@
  libprotobuf-dev,
  librabbitmq-dev,
  librdkafka-dev,
- libriemann-client-dev (>= 1.6.0),
- librrd-dev (>= 1.4~),
- libsensors4-dev [linux-any],
-# libsnmp-dev (>= 5.4.2.1~dfsg-4~) | (libsnmp-dev & perl (<< 5.10.1~rc2-1~))
- libsnmp-dev (>= 5.4.2.1~dfsg-4~) | libsnmp-dev | libsnmp9-dev,
- libsnmp-dev (>= 5.4.2.1~dfsg-4~) | perl (<< 5.10.1~rc2-1~),
- libtokyocabinet-dev [linux-any],
- libtokyotyrant-dev [linux-any],
+ libriemann-client-dev,
+ librrd-dev,
+ libsensors-dev [linux-any],
+ libsnmp-dev | libsnmp-dev | libsnmp9-dev,
+ libsnmp-dev | perl (<< 5.10.1~rc2-1~),
  libudev-dev [linux-any],
  libupsclient-dev | libupsclient1-dev,
- libvarnishapi-dev,
- libvirt-dev (>= 0.4.0-6) [linux-any],
- libxen-dev [amd64 arm64 armhf i386],
+ libvirt-dev [!kfreebsd-i386 !kfreebsd-amd64 !sh4 !ia64 !alpha],
+ libxen-dev [amd64 arm64 armhf],
  libxml2-dev,
  libyajl-dev,
- linux-libc-dev (>= 2.6.25-4) [linux-any] | linux-libc-dev (<< 2.6.25-1) [linux-any],
+ linux-libc-dev [linux-any] | linux-libc-dev (<< 2.6.25-1) [linux-any],
  default-jdk [!hppa !sparc !kfreebsd-i386 !kfreebsd-amd64],
  protobuf-c-compiler,
- protobuf-compiler (>= 3.0.0),
- protobuf-compiler-grpc [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
- python-dev,
+ protobuf-compiler,
+ protobuf-compiler-grpc [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x loong64 powerpc ppc64],
+ python3-dev,
  riemann-c-client,
+ libqpid-proton11-dev,
  libmosquitto-dev,
  libslurm-dev
-Build-Conflicts: libpthread-dev, libhal-dev
+Build-Conflicts: libpthread-dev, libhal-dev, python-dev
 Standards-Version: 4.2.1
 Homepage: https://collectd.org/
 Vcs-Git: https://salsa.debian.org/debian/pkg-collectd.git
@@ -73,19 +75,18 @@
 
 Package: collectd-core
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: perl, rrdtool
 Suggests: collectd-dev,
 # collection.cgi / collection3 dependencies
  librrds-perl, liburi-perl, libhtml-parser-perl, libregexp-common-perl,
  libconfig-general-perl, httpd-cgi,
 # services providing data that may be collected by collectd
- apache2, apcupsd, bind9, ceph, chrony, default-mysql-server, gpsd, hddtemp,
+ apache2, apcupsd, bind9, ceph, chrony, default-mysql-server, gpsd,
  iptables, ipvsadm, lm-sensors, mbmon, memcached, nginx, notification-daemon,
  nut, openvpn, olsrd, pdns-server, postgresql, redis-server, slapd,
- time-daemon, varnish, zookeeper,
+ time-daemon, zookeeper,
  ${shlibs:Suggests}, default-jre-headless
-Replaces: collectd (<< 4.8.2-1~)
 Description: statistics collection and monitoring daemon (core system)
  collectd is a small daemon which collects system information periodically and
  provides mechanisms to monitor and store the values in a variety of ways.
@@ -105,9 +106,11 @@
  package.
  .
    * AMQP output plugin: amqp
+   * AMQP 1.0 output plugin: amqp1
    * Apache and lighttpd statistics provided by mod_status: apache
    * APC UPS's charge, load, input/output/battery voltage, etc.: apcups
    * Ascent server statistics: ascent
+   * Bosch and Freescale barometers: barometer
    * battery status: battery
    * bind9 name-server and zone statistics: bind
    * Ceph distributed storage system statitics: ceph
@@ -138,10 +141,11 @@
    * Monitor gps related data through gpsd: gps
    * Send or receive values over the network using the gRPC framework: grpc
    * query data from Java processes using JMX: GenericJMX (Java based plugin)
-   * harddisk temperature: hddtemp
    * Report the number of used and free hugepages: hugepages
+   * Intel Resource Director Technology statistics: intel_rdt
    * network traffic: interface
    * IPC statistics: ipc
+   * IPMI sensors information: ipmi
    * iptables statistics: iptables
    * IPVS connection statistics: ipvs
    * IRQ counters: irq
@@ -205,12 +209,10 @@
    * Linux ACPI thermal zone information: thermal
    * check thresholds and for missing values: threshold
    * statistics from Intel turbo-capable processors: turbostat
-   * Tokyo Tyrant server statistics: tokyotyrant
    * external runtime interface: unixsock
    * system uptime: uptime
    * number of users logged into the system: users
    * set the hostname to an unique identifier: uuid
-   * Varnish HTTP accelerator daemon statistics: varnish
    * CPU, disk, network statistics of guest systems: virt
    * detailed virtual memory statistics: vmem
    * system resources used by Linux-VServers: vserver
@@ -219,6 +221,7 @@
    * send collected values to a web-server: write_http
    * send collected values to an Apache Kafka message broker: write_kafka
    * send collected values to the logging subsystem: write_log
+   * send collected values to MongoDB, a NoSQL database: write_mongodb
    * publish collected values as a Prometheus exporter: write_prometheus
    * send collected values to a Redis server: write_redis
    * send collected values to a Riemann server: write_riemann
@@ -253,9 +256,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: collectd
-Replaces: collectd (<< 4.6.1-1~)
 Description: statistics collection and monitoring daemon (utilities)
  collectd is a small daemon which collects system information periodically and
  provides mechanisms to monitor and store the values in a variety of ways.
  Since the daemon doesn't need to startup every time it wants to update the
- values it's very fast and easy on the system. Also, the statistics are very

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,7 @@
 # These are used for cross-compiling and for saving the configure script
 # from having to guess our platform (since we know it already)
 include /usr/share/dpkg/architecture.mk
+include /usr/share/javahelper/java-vars.mk
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
@@ -42,18 +43,11 @@
   LDFLAGS += -Wl,--no-as-needed -latomic -Wl,--as-needed
 endif
 
-# The archdir map has been copied from openjdk-6's debian/rules.
-JAVA_ARCHDIR = $(shell /usr/share/javahelper/java-arch.sh $(DEB_BUILD_ARCH))
-ifeq (,$(JAVA_ARCHDIR))
-	JAVA_ARCHDIR = $(DEB_BUILD_ARCH)
-endif
-JAVA_HOME = /usr/lib/jvm/default-java
-JAVA_LIBDIR = $(JAVA_HOME)/jre/lib/$(JAVA_ARCHDIR)/server
 
 JAVAC = $(JAVA_HOME)/bin/javac
 JAR = $(JAVA_HOME)/bin/jar
 JAVA_CPPFLAGS = -I$(JAVA_HOME)/include
-JAVA_LDFLAGS = -L$(JAVA_LIBDIR) -Wl,-rpath -Wl,$(JAVA_LIBDIR)
+JAVA_LDFLAGS = -L$(JVM_SERVER_DIR) -Wl,-rpath -Wl,$(JVM_SERVER_DIR)
 
 confflags = --host=$(DEB_HOST_GNU_TYPE) \
 			--build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr \
@@ -65,6 +59,24 @@
 			--disable-silent-rules \
 			--enable-all-plugins
 
+# java doesn't link on i386. (see blocking bug for #1057712)
+ifeq ($(DEB_HOST_ARCH),i386)
+	confflags += \
+		--disable-java
+endif
+
+# no mongodb on loong64
+ifeq ($(DEB_HOST_ARCH),loong64)
+	confflags += \
+		--disable-write_mongodb
+endif
+
+# disable tokyotyrant (#980331)
+confflags += --disable-tokyotyrant
+
+# varnish is broken again.
+confflags += --disable-varnish
+
 # These plugins do not provide any functionality under Linux.
 # MacOS only (requires IO Kit):
 confflags += --disable-apple_sensors
@@ -73,20 +85,6 @@
 # Solaris only (requires devinfo and kstat)
 confflags += --disable-tape
 
-# libi2c is not current enough in stretch
-confflags += --disable-barometer
-
-# openipmis is too old on stretch
-confflags += --disable-ipmi
-
-# more missing dependencies on stretch
-confflags += --disable-amqp1
-confflags += --disable-write_mongodb
-confflags += --disable-write_stackdriver
-
-# --enable-intel_rdt doesn't work in buster
-confflags += --disable-intel_rdt
-
 # redfish.h is missing
 confflags += --disable-redfish
 
@@ -127,8 +125,12 @@
 
 
 # ganglia FTBS, disable it for now
-# see #964399
+# see #1000041
 confflags += --disable-gmond
+
+# hddtemp will be remove from debian
+# #1001954
+confflags += --disable-hddtemp
 
 # These plugins are Linux-specific.
 ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
@@ -151,22 +153,22 @@
 		--disable-vserver
 endif
 
-# These plugins art FreeBSD-specific.
+# These plugins are FreeBSD-specific.
 ifneq ($(DEB_HOST_ARCH_OS),kfreebsd)
 	confflags += \
 		--disable-pf \
-		--disable-ipstats
+		--disable-ipstats \
+		--disable-netstat_udp
 endif
 
 
 # intel only stuff
-# not available on stretch
-#ifeq (,$(filter $(DEB_HOST_ARCH),amd64 i386))
+ifeq (,$(filter $(DEB_HOST_ARCH),amd64 i386))
     confflags += --disable-capabilities
+endif
+ifeq (,$(filter $(DEB_HOST_ARCH),amd64))
     confflags += --disable-dpdk_telemetry
-#endif
-
-
+endif
 
 # This plugin is Solaris-specific.
 confflags += \
@@ -200,21 +202,48 @@
 	confflags += \
 		--disable-gmond \
 		--disable-virt \
-		--disable-tokyotyrant \
-		--disable-java
+		--disable-java \
+		--disable-mysql
+endif
+
+# Missing build-deps on sh4
+ifeq ($(DEB_HOST_ARCH),sh4)
+	confflags += \
+		--disable-virt
+endif
+
+# Missing build-deps on ia64
+ifeq ($(DEB_HOST_ARCH),ia64)
+	confflags += \
+		--disable-virt
+endif
+
+# Missing build-deps on alpha
+ifeq ($(DEB_HOST_ARCH),alpha)
+	confflags += \
+		--disable-virt
+endif
+
+# Missing build-deps on hurd
+ifeq ($(DEB_HOST_ARCH_OS),hurd)
+	confflags += \
+		--disable-barometer
 endif
 
 # These plugins are Intel-hardware specific.
 ifeq (,$(filter amd64 i386, $(DEB_HOST_ARCH)))
 	confflags += \
-		--disable-dpdkevents \
-		--disable-dpdkstat \
 		--disable-intel_pmu \
 		--disable-intel_rdt \
 		--disable-mcelog \
 		--disable-mic \
 		--disable-turbostat
 endif
+ifeq (,$(filter amd64, $(DEB_HOST_ARCH)))
+	confflags += \
+		--disable-dpdkevents \
+		--disable-dpdkstat
+endif
 
 # the pcie_errors plugin does not work on all kinds of hardware
 ifeq (,$(filter amd64 arm64 armel armhf i386 mips64el mipsel ppc64el, $(DEB_HOST_ARCH)))
@@ -223,7 +252,7 @@
 endif
 
 # This plugin is x86 and arm specific.
-ifeq (,$(filter amd64 arm64 armhf i386, $(DEB_HOST_ARCH)))
+ifeq (,$(filter amd64 arm64 armhf, $(DEB_HOST_ARCH)))
 	confflags += \
 		--disable-xencpu
 endif
@@ -241,68 +270,44 @@
 endif
 
 # gRPC is only available on x86, arm, ppc.
-ifeq (,$(filter amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x, $(DEB_HOST_ARCH)))
+ifeq (,$(filter amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x loong64 powerpc ppc64, $(DEB_HOST_ARCH)))
 	confflags += --disable-grpc
 endif
 
-build: build-arch build-indep
-build-arch: build-stamp
-build-indep: build-stamp
-
-build-stamp:
-	dh_testdir
-	
-	dh_autoreconf
-	
+
+%:
+	dh $@
+
+override_dh_auto_configure:
 	CXXFLAGS="$(CXXFLAGS)" CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" \
 	JAVAC="$(JAVAC)" JAR="$(JAR)" JAVA_CPPFLAGS="$(JAVA_CPPFLAGS)" \
 	JAVA_LDFLAGS="$(JAVA_LDFLAGS)" \
 	./configure $(confflags) \
-		|| ( status=$$?; cat config.log; exit $$status )
-
-	$(MAKE)
+		|| ( status=$$?; \
+				echo -e '\n\n\n\n\n\n'; \
+				printf '%.0s-' {1..100}; \
+				echo;  \
+				dpkg-architecture -l; \
+				echo -e '\n\n\n\n\n\n'; \
+				printf '%.0s-' {1..100}; \
+				echo; \
+				cat config.log; \
+				exit $$status )
+
+override_dh_auto_test:
 	dh_auto_test
 	perl ./debian/bin/check_plugins.pl
-	
-	touch build-stamp
-
-clean:
-	dh_testdir
-	dh_testroot
-	rm -f build-stamp
-	
-	[ ! -f Makefile ] || $(MAKE) distclean
-	
-	rm -f debian/README.Debian.plugins
-	rm -f src/*.1 src/*.5
-	
-	rm -rf debian/pkgconfig
-	
-	dh_autoreconf_clean
+
+
+override_dh_clean:
 	dh_clean
 	debconf-updatepo
 
-install-indep:
-	dh_testdir
-	dh_testroot
-	dh_prep
-	dh_installdirs -i
-	dh_install -i
+override_dh_install:
+	rm -f debian/tmp/usr/lib/collectd/*.la
+	rm -f debian/tmp/usr/lib/libcollectdclient.la
+	rm -f debian/tmp/etc/collectd.conf
+
 	
-	# update include path for collectd header files
-	(	set -e; \
-		cd $(CURDIR)/debian/collectd-dev/usr/include/collectd/; \
-		for lib in $$(find . -type f -name '*.h'); do \
-			libname=$$(basename $$lib); \
-			fullpath=$$(echo $$lib | sed -r -e 's,^\./,collectd/,'); \
-			for dir in $$(find . -mindepth 1 -type d); do \
-				sed -r -i -e "s,(include\s+)\".*\<$$libname\",\1\"$$fullpath\"," $$dir/*.h; \
-			done; \
-		done )
-
-install-arch: build
-	dh_testdir
-	dh_testroot
-	dh_prep
-	dh_installdirs -a
-	
+	set -e ;\
+		find src  -path src/libcollectdclient -prune -o -path src/liboconfig -prune -o -name '*.h'  -print | while read i; do \

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?@ANY_VERSION@(@ARCHIVE_EXT@)%collectd-$1$2%" \
    https://github.com/collectd/collectd/tags \
    (?:.*?/)collectd-v?@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate

## collectd transmission-v2.0

=== requirements.txt ===
pbr
transmissionrpc>=0.8
